Subject: Re: bug#17090: desktop.el saves unusable register data in register-alist

From: Juri Linkov <[email-masked]>
Date: Mon, 07 Oct 2019 21:28:50 +0300

> If we want to fix it, perhaps we could trick our way, by using framesets to
> save a one-frame frameset with some special info to mark that it is really
> intended to be just a window-configuration, and then, when reloading the
> desktop, restoring somehow the window configuration into the register, from
> the frameset data. No idea if it is worth the effort, but I think it would
> be doable.

I invite you to look at the solution that Martin helped to develop
that restores tabs with window-configurations from the desktop file
using framesets, see the comment in tab-bar.el (just search
for “window-configuration”).